

pub type BxDynResult<T> = std::result::Result<T, Box<dyn std::error::Error>>;

pub const KEY_PATH: &str = ".k";
use key_of_life::get_key;

pub async fn load_key() -> String {
  let key_path = envmnt::get_or("KEY_PATH", KEY_PATH);
  let key = get_key(&key_path,None).await;
  if key.is_empty() {
    std::process::exit(0x0100);
  }
  key
}